function [Fpnl_tot] = Fpnl_Equ(obj,U,p)
% Compute  the r.h.s Fpnl at order p from U (Taylor class)

Us = reshape(get(U,'coef'),obj.ninc,get(U,'order'));
Us = Us(:,1:p-1); % orders between 1 and p-1 are used only.

u = Us(1:obj.nz,:);
Uaux = Us(obj.nz+2:end,:);
Uvar = [u;Uaux];
lambda = Us(obj.nz+1,:);

% convolutions
valc2=lambda*lambda(p-1:-1:1)';
vall1=sum(lambda.*Uvar(obj.jl1,p-1:-1:1),2);

valq=sum(Uvar(obj.jq,:).*Uvar(obj.kq,p-1:-1:1),2);
valdq=sum(Uvar(obj.jdq,:).*Uvar(obj.kdq,p-1:-1:1).*(p-1:-1:1)/p,2);
                        
Fpnl_tot = sparse(obj.ic2,ones(1,size(obj.ic2,1)),obj.vc2*valc2,obj.neq_tot,1) ...
    + sparse(obj.il1,ones(1,size(obj.il1,1)),obj.vl1.*vall1,obj.neq_tot,1) ...
    + sparse(obj.iq,ones(1,size(obj.iq,1)),obj.vq.*valq,obj.neq_tot,1) ...
    + sparse(obj.idq,ones(1,size(obj.idq,1)),obj.vdq.*valdq,obj.neq_tot,1);

end