function Jacobian = Jacobian_Equ(obj,Utot)
% Compute the Jacobian of R with respect to U

u = Utot(1:obj.nz);
Uaux = Utot(obj.nz+2:end);
Uvar = [u;Uaux];
lambda = Utot(obj.nz+1);

dRtotdZtot = sparse(obj.il0,obj.jl0,obj.vl0,obj.nz_tot,obj.nz_tot) ...
    + sparse(obj.il1,obj.jl1,obj.vl1*lambda,obj.nz_tot,obj.nz_tot) ...
    + sparse(obj.iq,obj.kq,2*obj.vq.*Uvar(obj.jq),obj.nz_tot,obj.nz_tot) ...
    + sparse(obj.idl,obj.jdl,obj.vdl,obj.nz_tot,obj.nz_tot) ...
    + sparse(obj.idq,obj.kdq,obj.vdq.*Uvar(obj.jdq),obj.nz_tot,obj.nz_tot) ;

dRtotdlambda = sparse(obj.il1,ones(1,size(obj.il1,1)),obj.vl1.*Uvar(obj.jl1),obj.nz_tot,1) ...
    + sparse(obj.ic1,ones(1,size(obj.ic1,1)),obj.vc1,obj.nz_tot,1) ...
    + sparse(obj.ic2,ones(1,size(obj.ic2,1)),(2*lambda)*obj.vc2,obj.nz_tot,1);

    Jacobian.dRdU = [dRtotdZtot(1:obj.nz,1:obj.nz) , dRtotdlambda(1:obj.nz)];
    Jacobian.dRdUaux = dRtotdZtot(1:obj.nz,obj.nz+1:end);
    Jacobian.dRauxdU = [dRtotdZtot(obj.nz+1:end,1:obj.nz) , dRtotdlambda(obj.nz+1:end)];
    Jacobian.dRauxdUaux = dRtotdZtot(obj.nz+1:end,obj.nz+1:end);
    Jacobian.dRtotdUtot = [Jacobian.dRdU , Jacobian.dRdUaux ; Jacobian.dRauxdU , Jacobian.dRauxdUaux];
    
end
